---
title: Textarea
description: Displays a form textarea or a component that looks like a textarea.
---

<ComponentPreview name="TextareaDemo" /> 


## Installation

```bash
npx shadcn-vue@latest add textarea
```

<ManualInstall>

1. Install `radix-vue`:

```bash
npm install radix-vue
```

2. Copy and paste the component source files linked at the top of this page into your project.
</ManualInstall>

## Usage

```vue
<script setup lang="ts">
import { Textarea } from '@/lib/registry/default/ui/textarea'
</script>

<template>
  <Textarea />
</template>
```